<?php 
    /* get categories */
    $taxo = 'project_category';
    $_category = array();
    if(!isset($atts['cat']) || $atts['cat']==''){
        $terms = get_terms($taxo);
        foreach ($terms as $cat){
            $_category[] = $cat->term_id;
        }
    } else {
        $_category  = explode(',', $atts['cat']);
    }
    $atts['categories'] = $_category;
    $top_overlap = (isset($atts['top_overlap']) && $atts['top_overlap'] == '1') ? 'top-overlap' : '' ;  
?>
<div class="cms-grid-wraper cms-project <?php echo esc_attr($atts['template']);?> <?php echo esc_attr($top_overlap);?>" id="<?php echo esc_attr($atts['html_id']);?>">
    <div class="project-wrap clearfix">
        <?php
        $posts = $atts['posts'];
        $index = 1; 
        while($posts->have_posts()){
            $posts->the_post();

            $img_id = get_post_thumbnail_id();

            $style = 'style="width:';
            if($index == 1 || $index == 6 || $index == 11 || $index == 16){
                
                $thumbnail = wp_get_attachment_image($img_id, 'buildana-377-580');
                // var_dump($img);
                // $thumbnail = buildana_getImageCroped('377x580');
                $style.='29.992%;"';
            }
            elseif($index == 2 || $index == 5 || $index == 7 || $index == 10 || $index == 12 || $index == 15){ 

                $thumbnail = wp_get_attachment_image($img_id, 'buildana-320-290');
                // $thumbnail = buildana_getImageCroped('320x290');
                $style.='25.457%;"';
            }
            elseif($index == 3 || $index == 4 || $index == 8 || $index == 9 || $index == 13 || $index == 14){

                $thumbnail = wp_get_attachment_image($img_id, 'buildana-560-290');
                // $thumbnail = buildana_getImageCroped('560x290');
                $style.='44.551%;"';
            }else{
                $style.='33.333333%;"';
            }
            ?>
            <div class="cms-project-item wow fadeInUp" <?php echo ''.$style;?> data-wow-delay="<?php echo ''.$index * 50 ?>ms">
                <div class="project-thumbnail">
                    <?php echo wp_kses_post($thumbnail);?> 
                    <div class="entry-content">
                        <div class="innder-content">
                    		<div class="cats">
                    			<?php echo get_the_term_list( get_the_ID(), $taxo, '', ', ', '' ); ?>
                    		</div> 
                            <?php the_title( '<h5 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h5>' ); ?>
                        	<a class="bl-plink" href="<?php the_permalink() ?>" title="<?php the_title()?>"><i class="flaticon-link"></i></a> 
                        </div>
                    </div>
                </div>
            </div>
            <?php
            $index++;
        }
        ?>
    </div>
    <?php 
        if( !isset($atts['show_patination']) || (isset($atts['show_patination']) && $atts['show_patination']=='1'))
            buildana_paging_nav(); 
    ?>
</div>